Subject: Re: bug#46555: LVM swap continuously fails guix system: error: service 'swap-/dev/mapper/guix-swap' requires 'device-mapping-guix-swap', which is not provided by any service

From: Shyam Saran <[email-masked]>
Date: Fri, 26 Feb 2021 13:38:03 +0530

Result of application of system build command

$ guix  system   build ~/tmp/config.scm

               2s
guix system: warning: the following groups appear more than once: users
guix system: error: service 'swap-/dev/mapper/guix-swap' requires
'device-mapping-guix-swap', which is not provided by any service

To be sure everything are correct

I had created lvm volume group guix and house
and their subvolume root, boot, var, gnu, swap, tmp (in guix) and home (in
house)

Result is the same, whether these volume groups were present or not.

Thanks

On Thu, 25 Feb 2021 at 18:49, Ludovic Courtès <[email-masked]> wrote:

> Hi,
>
> Shyam Saran <[email-masked]> skribis:
>
> > Thanks for response, I am attaching config.scm
>
> I get:
>
> --8<---------------cut here---------------start------------->8---
> $ guix system build /tmp/config.scm
> guix system: error: fiasko dum ŝargo de '/tmp/config.scm':
> /tmp/config.scm:277:58: In procedure append: Wrong type argument in
> position 1 (expecting empty list): #<<file-system> device:
> "/dev/mapper/house-home" mount-point: "/home" type: "ext4" flags: ()
> options: #f mount?: #t mount-may-fail?: #f needed-for-boot?: #f check?: #f
> create-mount-point?: #t dependencies: (#<<mapped-device> source:
> "/dev/sda31" targets: ("guix-root") type: #<<mapped-device-type> open:
> #<procedure open-non-udev-lvm-device (source targets)> close: #<procedure
> close-non-udev-lvm-device (sources targets)> check: #<procedure
> 7f839682c5e0 at ice-9/boot-9.scm:803:2 _>> location: ((line . 133) (column
> . 52) (filename . "/tmp/config.scm"))> #<<mapped-device> source:
> "/dev/sda31" targets: ("guix-boot") type: #<<mapped-device-type> open:
> #<procedure open-non-udev-lvm-device (source targets)> close: #<procedure
> close-non-udev-lvm-device (sources targets)> check: #<procedure
> 7f839682c5e0 at ice-9/boot-9.scm:803:2 _>> location: ((line . 137) (column
> . 52) (filename . "/tmp/config.scm"))> #<<mapped-device> source:
> "/dev/sda31" targets: ("guix-gnu") type: #<<mapped-device-type> open:
> #<procedure open-non-udev-lvm-device (source targets)> close: #<procedure
> close-non-udev-lvm-device (sources targets)> check: #<procedure
> 7f839682c5e0 at ice-9/boot-9.scm:803:2 _>> location: ((line . 141) (column
> . 52) (filename . "/tmp/config.scm"))> #<<mapped-device> source:
> "/dev/sda31" targets: ("guix-var") type: #<<mapped-device-type> open:
> #<procedure open-non-udev-lvm-device (source targets)> close: #<procedure
> close-non-udev-lvm-device (sources targets)> check: #<procedure
> 7f839682c5e0 at ice-9/boot-9.scm:803:2 _>> location: ((line . 153) (column
> . 52) (filename . "/tmp/config.scm"))> #<<mapped-device> source:
> "/dev/sda31" targets: ("guix-swap") type: #<<mapped-device-type> open:
> #<procedure open-non-udev-lvm-device (source targets)> close: #<procedure
> close-non-udev-lvm-device (sources targets)> check: #<procedure
> 7f839682c5e0 at ice-9/boot-9.scm:803:2 _>> location: ((line . 145) (column
> . 52) (filename . "/tmp/config.scm"))> #<<mapped-device> source:
> "/dev/sda31" targets: ("guix-tmp") type: #<<mapped-device-type> open:
> #<procedure open-non-udev-lvm-device (source targets)> close: #<procedure
> close-non-udev-lvm-device (sources targets)> check: #<procedure
> 7f839682c5e0 at ice-9/boot-9.scm:803:2 _>> location: ((line . 149) (column
> . 52) (filename . "/tmp/config.scm"))> #<<mapped-device> source:
> "/dev/test" targets: ("house-home") type: #<<mapped-device-type> open:
> #<procedure open-non-udev-lvm-device (source targets)> close: #<procedure
> close-non-udev-lvm-device (sources targets)> check: #<procedure
> 7f839682c5e0 at ice-9/boot-9.scm:803:2 _>> location: ((line . 157) (column
> . 52) (filename . "/tmp/config.scm"))>) location: ((line . 233) (column .
> 50) (filename . "/tmp/config.scm"))>
> --8<---------------cut here---------------end--------------->8---
>
> Could you make sure the file passes ‘guix system build’?
>
> TIA,
> Ludo’.
>